#ifndef __SHADERS_H__
#define __SHADERS_H__

#include <stdint.h>

uint32_t compile_shader(const char* path, int32_t type);
uint32_t compile_shader_text(const char* name, const char* text, int32_t type);
uint32_t load_shader_program(uint32_t shader, ...);

#endif
